## django-ldapdb 1.2.0

=== Makefile ===
PACKAGE := ldapdb
TESTS_DIR := examples

# Error on all warnings, except in python's site.py module and distutils' imp.py module.
PYWARNINGS = -Wdefault -Werror \
	     -Wignore::DeprecationWarning:site:165 \
	     -Wignore::PendingDeprecationWarning:imp \
	     -Wignore::DeprecationWarning:distutils

default:

install:

	python setup.py install

clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete

update:
	pip install --upgrade pip setuptools
	pip install -r requirements_dev.txt
	pip freeze

release:
	fullrelease


.PHONY: default install clean update release

testall:
	tox

test:
	python $(PYWARNINGS) manage_dev.py test

.PHONY: test testall

lint: flake8 isort check-manifest

flake8:
	flake8 --config .flake8 $(PACKAGE) $(TESTS_DIR)

isort:
	isort $(PACKAGE) $(TESTS_DIR) --recursive --check-only --diff --project $(PACKAGE) --project $(TESTS_DIR)

check-manifest:
	check-manifest

.PHONY: isort lint flake8 check-manifest

## django-ldapdb 0.2.0

=== debian/changelog ===
django-ldapdb (0.2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #730548).

 -- Olivier Berger <obergix@debian.org>  Wed, 04 Dec 2013 14:08:21 +0100

=== debian/control ===
Source: django-ldapdb
Maintainer: Olivier Berger <obergix@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Olivier Berger <olivier.berger@telecom-sudparis.eu>
Section: python
Priority: optional
Build-Depends: python-setuptools, python-all, debhelper, dh-python, python-mockldap, python-django
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/jlaine/django-ldapdb
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-ldapdb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-ldapdb/trunk/

Package: python-django-ldapdb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: LDAP database backend for Django
 django-ldapdb is an LDAP database backend for Django. It allows you
 to manipulate LDAP entries using Django's models.
 .
 Declaring models using theLDAP backend is very staightforward, you
 simply inherit from ldapdb.models.Model and declare the fields in the
 same way as for regular models. You can even edit the LDAP entries 
 using Django's admin interface.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=django-ldapdb

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	# Explicitely enumerate tests to avoid import error when
	#  building with svn-buildpackage, where tests will be run
	#  inside folder that isn't a python module, like: ERROR:
	#  django-ldapdb-0.2.0.examples.tests
	#  (unittest2.loader.ModuleImportFailure) 
	# django-admin test --settings=settings --pythonpath=.
	django-admin test --settings=settings --pythonpath=. examples.tests ldapdb.tests

override_dh_installexamples:
	find examples/ -name '*.pyc' -exec rm {} \;
	dh_installexamples

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/django-ldapdb-$1\.tar\.gz/ \
  https://github.com/jlaine/django-ldapdb/tags .*/v?(\d\S*)\.tar\.gz

## django-ldapdb 1.2.0

=== debian/changelog ===
django-ldapdb (1.2.0-1) unstable; urgency=medium

  * New upstream release 1.2.0
  * Drop the DS rebuild as upstream included the required files to run the
    tests properly \o/
  * Drop d/patches as upstream fixed the dependencies
  * d/control:
    - Bump Standards-Version to 4.1.5. No change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 01 Aug 2018 18:45:37 +0200

django-ldapdb (1.0.0+ds-1) unstable; urgency=low

  [ Pierre-Elliott Bécue ]
  * Re-packaging (Closes: #898750)
  * DS build in order to include tests files

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 19 May 2018 16:56:34 +0200

django-ldapdb (0.2.0-1~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for correct version of the Python dependencies (with the right
    DIST for cowbuilder).

 -- Olivier Berger <obergix@debian.org>  Mon, 13 Jan 2014 16:54:46 +0100

django-ldapdb (0.2.0-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Deactivate tests running during build as python-mockldap is not in stable

 -- Olivier Berger <obergix@debian.org>  Tue, 07 Jan 2014 18:26:28 +0100

=== debian/control ===
Source: django-ldapdb
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>
Homepage: https://github.com/django-ldapdb/django-ldapdb
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-django,
               python3-ldap
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/python-team/modules/django-ldapdb.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-ldapdb

Package: python3-django-ldapdb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 LDAP database backend for Django
 django-ldapdb is an LDAP database backend for Django, allowing one to
 manipulate LDAP entries through Django models.
 .
 It supports most of the same APIs as a classical Django model.
 .
 This package provides the Python3 library.

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @,
         check-manifest,
         ldapscripts,
         python3-isort,
         python3-factory-boy,
         python3-flake8,
         python3-setuptools,
         python3-volatildap,
         slapd,
Restrictions: allow-stderr,
              needs-recommends

## django-ldapdb 1.3.0

=== debian/changelog ===
django-ldapdb (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0
  * d/control:
    - Replace my crans address by my debian address
    - Bump Standards-Version to 4.2.1.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Dec 2018 22:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: django-ldapdb
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Pierre-Elliott Bécue <becue@crans.org>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Homepage: https://github.com/django-ldapdb/django-ldapdb
 Section: python
 Priority: optional
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-django,
                python3-ldap
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-ldapdb.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-ldapdb

## django-ldapdb 1.4.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 PYWARNINGS = -Wdefault -Werror \
 	     -Wignore::DeprecationWarning:site:165 \
 	     -Wignore::PendingDeprecationWarning:imp \
+	     -Wignore::DeprecationWarning:imp \
+	     -Wignore::PendingDeprecationWarning:distutils \
 	     -Wignore::DeprecationWarning:distutils
 
 default:

=== debian/changelog ===
django-ldapdb (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.4.0.
  * d/control:
    - Raised debhelper compatibility level to 12
    - Bump Standards-Version to 4.4.0. No change required.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 20 Jul 2019 23:29:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Homepage: https://github.com/django-ldapdb/django-ldapdb
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-django,
                python3-ldap
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-ldapdb.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-ldapdb

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-ldapdb

%:
	dh $@ --with python3 --buildsystem=pybuild

# Done via autopkgtest, see d/tests/control. These tests require a properly
# running slapd server to work. The build tests are not fit to do such a thing.
override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -8,5 +8,4 @@
          python3-setuptools,
          python3-volatildap,
          slapd,
-Restrictions: allow-stderr,
-              needs-recommends
+Restrictions: allow-stderr

## django-ldapdb 1.5.1

=== Makefile ===
PACKAGE := ldapdb
TESTS_DIR := examples

# Error on all warnings, except in python's site.py module and distutils' imp.py module.
PYWARNINGS = -Wdefault -Werror \
	     -Wignore::DeprecationWarning:site:165 \
	     -Wignore::PendingDeprecationWarning:imp \
	     -Wignore::DeprecationWarning:imp \
	     -Wignore::PendingDeprecationWarning:distutils \
	     -Wignore::DeprecationWarning:distutils \
	     -Wignore::ImportWarning:

default:

install:
	python setup.py install

clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete

upgrade:
	pip install --upgrade pip setuptools
	pip install --upgrade -e .[dev]
	pip freeze

release:
	fullrelease


.PHONY: default install clean upgrade release

testall:
	tox

test:
	python $(PYWARNINGS) manage_dev.py test

.PHONY: test testall

lint: flake8 isort check-manifest

flake8:
	flake8 $(PACKAGE) $(TESTS_DIR)

isort:
	isort $(PACKAGE) $(TESTS_DIR) --check-only --diff --project $(PACKAGE) --project $(TESTS_DIR)

check-manifest:
	check-manifest

.PHONY: isort lint flake8 check-manifest

=== debian/changelog ===
django-ldapdb (1.5.1-3) unstable; urgency=medium

  * Team upload.

  * Adding patches from patch queue branch (Closes: #994257)
    Picking some patches from the upstream development that makes the
    autopkgtest working again.
  * d/control: Update Standards-Version to 4.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Nov 2021 17:54:09 +0100

django-ldapdb (1.5.1-2) unstable; urgency=medium

  * Run manage_dev.py for CI tests (Closes: #972874).

 -- Michael Fladischer <fladi@debian.org>  Sun, 25 Oct 2020 20:43:12 +0100

django-ldapdb (1.5.1-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper version to 13.
  * Disable tests through PYBUILD_DISABLE.
  * Set Rules-Requires-Root: no.
  * Clean up django_ldapdb.egg-info/requires.txt to allow two builds in
    a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2020 21:13:28 +0200

=== debian/control ===
Source: django-ldapdb
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Homepage: https://github.com/django-ldapdb/django-ldapdb
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-django,
               python3-ldap
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/django-ldapdb.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-ldapdb
Rules-Requires-Root: no

Package: python3-django-ldapdb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 LDAP database backend for Django
 django-ldapdb is an LDAP database backend for Django, allowing one to
 manipulate LDAP entries through Django models.
 .
 It supports most of the same APIs as a classical Django model.
 .
 This package provides the Python3 library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-ldapdb
# Done via autopkgtest, see d/tests/control. These tests require a properly
# running slapd server to work. The build tests are not fit to do such a thing.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: python3 setup.py test
+Test-Command: python3 manage_dev.py test
 Depends: @,
          check-manifest,
          ldapscripts,

## django-ldapdb 2.0.0

=== debian/changelog ===
django-ldapdb (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * [c364b27] d/watch: Convert to version 5
  * [334d269] d/gbp.conf: Add some more defaults
  * [2490b2e] New upstream version 2.0.0
  * [ec76326] Rebuild patch queue from patch-queue branch
    Added patch:
    setup.cfg-Adjust-the-version.patch
    Removed patches (included upstream):
    0001-Use-_base_manager-instead-of-objects-when-modifying-.patch
    0002-router-disallow-migrations-on-ldap-connection-and-mo.patch
    0003-Use-get_attname-instead-of-attname-attribute.patch
    0004-tests-add-missing-contribute_to_class-to-fully-insta.patch
    0005-Update-regex-to-be-compatible-with-django-2-to-Djang.patch
  * [0984008] debian: Run wrap-and-sort
    No code changes beside the reordering.
  * [e74e7fb] autopkgtest: Remove the testing call fully
    Upstream is depending on the package volatildap to run any testing.
    This package was removed in 2023 in Debian as it's not in any active
    upstream development anymore.
    The library itself hasn't any dependency on volatildap.
    (Closes: #1119677)
  * [70caab6] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [0a32e3f] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [409418a] d/control: Add Testsuite: autopkgtest-pkg-python

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Nov 2025 10:07:45 +0200

=== debian/control ===
Source: django-ldapdb
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Pierre-Elliott Bécue <peb@debian.org>,
Homepage: https://github.com/django-ldapdb/django-ldapdb
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/django-ldapdb.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-ldapdb
Testsuite: autopkgtest-pkg-python

Package: python3-django-ldapdb
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 LDAP database backend for Django
 django-ldapdb is an LDAP database backend for Django, allowing one to
 manipulate LDAP entries through Django models.
 .
 It supports most of the same APIs as a classical Django model.
 .
 This package provides the Python3 library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-ldapdb
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/django-ldapdb/django-ldapdb.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none
